解决AndroidStudio2.0导入eclipse项目时卡死的问题

本文转载自:http://m.blog.csdn.net/article/details?id=51311904
在这之前因为电脑渣,跑不动AndroidStudio,所以一直都在用eclipse。最近听说AS更新了2.0版本,比以前流畅多了,于是,我激动地在我的Ubuntu上装上了AS(因为Ubuntu上运行AS比windows更流畅)。但是,在导入eclipse项目的时候出现了问题:长时间卡在build project info界面。接下来介绍如何解决这个问题,希望可以帮助到遇到同样问题的小白。

在看下面内容前,可以先看看官网上的移植教程,里面有一些关于eclipse项目结构和AndroidStudio项目结构区别的介绍以及移植时的注意事项。下面正式开始介绍解决方案:

解决方案

查看了下AS的日志,发现它一直在下载一个gradle-1.12-all.zip文件!原因显而易见了:eclipse导出的build.gradle文件中,要用到的gradle版本太低,AS中没有低版本的gradle,所以要重新下载,但又因为一直下载不了,故卡死在build info界面。知道原因,解决方案也就很简单了:

第一步

kill掉AS进程,用文本编辑器打开eclipse项目目录下的build.gradle文件,把下面这段脚本中gradle的版本修改下,修改成你的AS中最新的gradle版本号(随便建个AS项目,在build.gradle文件中可以看到最新的版本号)。

dependencies {
        classpath 'com.android.tools.build:gradle:0.12.+'
        }
  • 1
  • 2
  • 3
  • 4

把上面的脚本修改为:

dependencies {
        classpath 'com.android.tools.build:gradle:2.0.0'
    }
  • 1
  • 2
  • 3
  • 4

第二步

用文本编辑器打开项目目录/gradle/wrapper/gradle-wrapper.properties属性文件,修改下这个属性。

distributionUrl=http\://services.gradle.org/distributions/gradle-1.12-all.zip
  • 1

把上面的属性修改为:

distributionUrl=http\://services.gradle.org/distributions/gradle-2.10-all.zip
  • 1

第三步

打开AS,重新点击import project。现在可以成功导入了,如果在gradle sync的时候,提示你需要下载低版本的sdk build tools,你也可以把build.gradle脚本中的”23.0.1”改成你的AS中的build tools版本

 buildToolsVersion "23.0.1"
  • 1

至此,成功解决了这个问题!


阅读更多
想对作者说点什么?

博主推荐

换一批

没有更多推荐了,返回首页